/*------------------------------------*\
  search
\*------------------------------------*/

$search-icon-size : 30px;

.page--search {
  margin-bottom: 0;
  .form {
    @extend %padding;
    margin-bottom: $spacing-md;
    .input-group {border: none;}
    input,
    button {
      height: 60px;
    }
    button {
      left: 0;
      right: auto;
      width: $search-icon-size;
      background: url("images/icon-search-b.svg") no-repeat center center;
      background-size: $search-icon-size;
      transform: scale(-1, 1);
    }
    input {
      @extend .ts-title;
      padding-left: calc(#{$search-icon-size} + #{$grid-gutter-width/2});
    }
  }
}

.result {
  .listen {background-color: $gray;}
  .read {background-color: $green;}
  .watch {background-color: $yellow;}
  .connect {background-color: $blue;}
  .result__section {
    @extend %padding;
    padding-top: $spacing-md;
    padding-bottom: $spacing-md;
    &.connect {color: $body-color;}
  }
  @include media('>=sm') {
    display: flex;
    .result__section {
      flex: 1 25%;
    }
  }
}

.results__title {
  @extend .ts-body;
  text-transform: uppercase;
  margin-bottom: $spacing-sm;
  .result__list + & {margin-top: $spacing-md;}
}

.result__list {list-style: none;}

.result__item {
  @extend .ts-body;
  & + .result__item {margin-top: $spacing-sm;}
}

.result__text {
  position: relative;
  padding-left: 2em;
  display: flex;
  flex-flow: row wrap;
  .result__link {flex: 1 100%;}
  .result__time {margin-right: $grid-gutter-width/2;}
  &:before {
    content: "✳";
    position: absolute;
    left: 0;
    top: 0;
  }
}

.result__link {
  @include ts-link($base-color);
  .result__section.connect & {@include ts-link($body-color);}
}

.result__title,
.track__title {
  @extend .ts-body;
  span {display: block;}
}
.result__time {@extend .ts-label;}